# Class SSLPeerUnverifiedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.net.ssl.SSLException
javax.net.ssl.SSLPeerUnverifiedException

All Implemented Interfaces:
  `Serializable`

public class SSLPeerUnverifiedException extends SSLException
Indicates that the peer's identity has not been verified.

When the peer was not able to identify itself (for example; no certificate, the particular cipher suite being used does not support authentication, or no peer authentication was established during SSL handshaking) this exception is thrown.

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SSLPeerUnverifiedException(String reason)`
Constructs an exception reporting that the SSL peer's identity has not been verified.
`SSLPeerUnverifiedException(String message, Throwable cause)`
Creates a `SSLPeerUnverifiedException` with the specified detail message and cause.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SSLPeerUnverifiedException

public SSLPeerUnverifiedException(String reason)
Constructs an exception reporting that the SSL peer's identity has not been verified.

Parameters:
  `reason` - describes the problem.

### SSLPeerUnverifiedException

public SSLPeerUnverifiedException(String message, Throwable cause)
Creates a `SSLPeerUnverifiedException` with the specified detail message and cause.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
Since:
  19